body{
    background-image: linear-gradient(to right, black, var(--mb));
}
.main{
    padding-top: 60px;
    width: 100%;
    height: fit-content;
}
.b1{
    background-image: linear-gradient(to right, var(--co), var(--cy));
    margin: 80px 10% 0px 0%;
    padding-left: 10%;
    width: 90%;
    display: flex;
    flex-direction: row;
    border-radius: 0px 40px 40px 0px;
    height: fit-content;
}
.info{
    width:50%;
    height: fit-content;
    padding: 40px;
    font-family: roboto;
}
.pic{
    align-self: center;
    background-color: var(--db);
    border-radius: 20px;
    padding: 10px;
    margin: 20px;
    width: 50%;
    height: fit-content;
}


.info button{
    margin-left: 35%;
    background-color: transparent;
    font-size: 3vw;
    font-weight: 900;
    font-family: roboto;
    padding: 5px 35px 5px 35px;
    border-radius: 15px;
    color: var(--db);
    border: 2px solid var(--db);
    position: relative; /* Add position relative */
    transition: slide 0.7s;
    animation-duration: 3s;
    animation-name: slide;
}

@keyframes slide {
    from {
        transform: translateX(-100%); /* Slide in from top */
    }
    to {
        transform: translateX(0%); /* Slide to original position */
    }
}

.info button:hover {
    background-color: var(--db); /* Change background color on hover */
    color: var(--co); /* Change text color on hover */
}

.pic img{
    border-radius: 10px;
    opacity: 0; /* Initially set opacity to 0 */
    animation-duration: 3s; /* Animation duration */
    animation-name: fadeIn; /* Animation name */
    animation-fill-mode: forwards; /* Keep the image at the final keyframe after animation */
}

@keyframes fadeIn {
    from {
        opacity: 0; /* Fade in from completely transparent */
    }
    to {
        opacity: 1; /* Fade in to fully opaque */
    }
} 

.info h1{
    color: var(--db);
    font-size: 3vw;
    font-weight: 900;
    animation-duration: 3s;
    animation-name: slide;
}

@keyframes slide {
    from {
        transform: translateX(-100%); 
    }
    to {
        transform: translateX(0%);
    }
}

.info p{
    color: var(--db);
    font-size: 1.5vw;
    font-weight: 300;
    animation-duration: 3s;
    animation-name: slidein;
}

@keyframes slidein{
    from {
        transform: translateX(+100%); 
    }
    to {
        transform: translateX(0%); 
    }
}

.info ul{
    margin-left: 2vw;
    list-style-type: disc;
    font-family: roboto;
    font-size: 1vw;
    font-weight: 300;
    color: var(--db);
    animation-duration: 6s;
    animation-name: blur;
}

@keyframes blur{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}


@keyframes slide {
    from {
        transform: translateX(-100%); /* Slide in from top */
    }
    to {
        transform: translateX(0%); /* Slide to original position */
    }
}

.b2{
    background-image: linear-gradient(to right, var(--co), var(--cy));
    margin: 70px 0% 80px 10%;
    width: 90%;
    display: flex;
    padding-right: 10%;
    flex-direction: row-reverse;
    border-radius: 40px 0px 0px 40px;
    height: fit-content;
}

@media (max-width:1150px) {
    .b1, .b2{
        flex-direction: column;
        border-radius: 30px;
        margin-left: 10%;
        margin-right: 10%;
        width: 80%;
        padding: 0px;
    }
    .info{
        width: 100%;
        padding: 5% 5% 0px 7%;
    }
    .pic{
        width: 95%;
    }
    .info h1{
        font-size: 6vw;
    }
    .info p{
        font-size: 4vw;
    }
    .info ul{
        margin-left: 5%;
        font-size: 2vw;
    }
}